Bug 1122168

Summary: [abrt] synergy: CClientApp::mainLoop(): synergyc killed by SIGSEGV
Product: [Fedora] Fedora Reporter: AJ Seelund <aj>
Component: synergyAssignee: Christian Krause <chkr>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: aj, chkr
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/7d1b3e3e912817a5dddca4d40792591e38815c60
Whiteboard: abrt_hash:e050e55ee403390b9fbab2729b9141d8f4b07f05
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:41:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description AJ Seelund 2014-07-22 17:10:25 UTC
Version-Release number of selected component:
synergy-1.4.10-2.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        synergyc 172.16.1.220
crash_function: CClientApp::mainLoop
executable:     /usr/bin/synergyc
kernel:         3.14.4-200.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 CClientApp::mainLoop at /usr/src/debug/synergy-1.4.10-Source/src/lib/synergy/CClientApp.cpp:540
 #1 CApp::daemonMainLoop at /usr/src/debug/synergy-1.4.10-Source/src/lib/synergy/CApp.cpp:306
 #2 CArchDaemonUnix::daemonize at /usr/src/debug/synergy-1.4.10-Source/src/lib/arch/CArchDaemonUnix.cpp:126
 #3 CClientApp::runInner at /usr/src/debug/synergy-1.4.10-Source/src/lib/synergy/CClientApp.cpp:599
 #4 CApp::run at /usr/src/debug/synergy-1.4.10-Source/src/lib/synergy/CApp.cpp:272

Comment 1 AJ Seelund 2014-07-22 17:10:26 UTC
Created attachment 919967 [details]
File: backtrace

Comment 2 AJ Seelund 2014-07-22 17:10:27 UTC
Created attachment 919968 [details]
File: cgroup

Comment 3 AJ Seelund 2014-07-22 17:10:28 UTC
Created attachment 919969 [details]
File: core_backtrace

Comment 4 AJ Seelund 2014-07-22 17:10:29 UTC
Created attachment 919970 [details]
File: dso_list

Comment 5 AJ Seelund 2014-07-22 17:10:29 UTC
Created attachment 919971 [details]
File: environ

Comment 6 AJ Seelund 2014-07-22 17:10:30 UTC
Created attachment 919972 [details]
File: exploitable

Comment 7 AJ Seelund 2014-07-22 17:10:31 UTC
Created attachment 919973 [details]
File: limits

Comment 8 AJ Seelund 2014-07-22 17:10:31 UTC
Created attachment 919974 [details]
File: maps

Comment 9 AJ Seelund 2014-07-22 17:10:32 UTC
Created attachment 919975 [details]
File: open_fds

Comment 10 AJ Seelund 2014-07-22 17:10:33 UTC
Created attachment 919976 [details]
File: proc_pid_status

Comment 11 AJ Seelund 2014-07-22 17:10:33 UTC
Created attachment 919977 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:26:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 21:41:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.